Main Page Groups Namespaces

# sigc::bind_functor<-1, T_functor, T_type1 >::deduce_result_type< T_arg1, T_arg2 > Struct Template Reference

List of all members.

## Public Types

typedef adaptor_type::template deduce_result_type< typename type_trait<T_arg1>::pass, typename type_trait< T_arg2 >::pass, typename type_trait< T_type1 >::pass >::type | type

### template <class T_functor, class T_type1>
template <class T_arg1, class T_arg2>
struct sigc::bind_functor<-1, T_functor, T_type1 >::deduce_result_type< T_arg1, T_arg2 >

## Member Typedef Documentation

template <class T_functor, class T_type1>
template <class T_arg1, class T_arg2>
typedef adaptor_type::template deduce_result_type<typename type_trait<T_arg1>::pass,typename type_trait<T_arg2>::pass, typename type_trait<T_type1>::pass>::type sigc::bind_functor<-1, T_functor, T_type1 >::deduce_result_type<T_arg1, T_arg2>::type

The documentation for this struct was generated from the following file:

- adaptors/bind.h